Skip to main content
GET
/
api
/
monitors
/
predictions
/
v1
/
entity-metrics
GetEntityMetrics
curl --request GET \
  --url https://developer.synq.io/api/monitors/predictions/v1/entity-metrics \
  --header 'Authorization: Bearer <token>'
{
  "dataPoints": [
    {
      "synqPath": "<string>",
      "numRows": "<string>",
      "lastLoadedAt": "2023-11-07T05:31:56Z",
      "scheduledAt": "2023-11-07T05:31:56Z",
      "snapshottedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

synqPath
string

Entity synq_path (table, view, or dbt model).

from.seconds

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.

from.nanos
integer<int32>

Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive.

Response

200 - application/json

Success

dataPoints
EntityMetricDataPoint · object[]